Lustre Release Information

From Lustre.org

Jump to: navigation, search

(Updated: Nov 2010)

Contents

This page provides information related to LustreĀ® releases and a support matrix that lists certified kernels, e2fsprogs and networks.

Lustre Release Lifecycle

This table lists the lifecycle of each major Lustre release, including the GA and EOL dates, and a link to the release's change log.

Lustre Version GA Date EOL Date Change Log
2.0.0-2.0.x Aug 2010 TBD Change Log 2.0
1.8-1.8.x May 2009 June 2012* Change Log 1.8
1.6-1.6.x April 2007 June 2010 Change Log 1.6

* S1/S2 issues only after June 2011

Upcoming Lustre Releases

Upcoming Lustre releases are previewed below.

Lustre 2.0

  • Targeted for release - Q2 2010
  • Includes client support for OEL 5, RHEL 5, SLES 10 and 11, Scientific Linux (new), and Fedora 11 2.6.30 (new)
  • Introduces several new features:
Lustre Changelogs
Commit on Share
Lustre rsync

For information about the Lustre 2.0 team's alpha and beta milestones and related testing, see the Lustre 2.0 Release Milestone Status page.

For information on Lustre 1.8 to 2.0 interoperability and upgrades, see Upgrading from 1.8 to 2.0.

Lustre Test Matrix

This matrix lists kernels, e2fsprogs and network versions that have been certified to work with Lustre. Kernels not listed on the support matrix may also work with Lustre, depending on whether they are not tested/packaged or not supported.

  • Certified - Exact kernel version that we test with and for which we provide compiled Lustre packages (RPMs). Exact kernel version that we test with and for which we provide compiled Lustre packages (RPMs). An 'X' indicates a certified version. Some versions are certified with servers, others with patchless clients, or both servers and clients.
    • S is a version certified with servers
    • PC is a version certified with patchless clients
    • S, PC is a version certified with servers and patchless clients
  • Not tested/packaged - Different kernel version that a Lustre user has compiled from Lustre source code. We have not tested these versions, so we cannot say for certain whether they will work with Lustre, but they should work with minor variances from our officially-certified kernels.
  • Not supported - Kernel version that is distinctly different from the kernels that we test and certify. For example, trying to use SLES11 on a Lustre 1.6.x release.

We recommend that Lustre users work with certified kernels. If you use a kernel that is not tested/packaged, we will make our best efforts to support it. If you are uncertain whether the kernel version you are considering would be supported, check with Lustre Support.

  • A shaded cell indicates a kernel version certified with earlier Lustre releases, but no longer supported in newer versions of Lustre. For example, Lustre 1.8 releases do not support flavors of RHEL 4 or SLES 9. Lustre 1.8.1 and later versions do not support Linux vanilla kernel 2.6.22.14.

NOTE:

  • For detailed information about the Lustre 2.0 release, see Change Log 2.0.
  • For detailed information about the Lustre 1.8 release, see Change Log 1.8.
  • For detailed information about the Lustre 1.6.x releases, see Change Log 1.6.
  • PPC is only supported on clients.
  • In Lustre 1.8 releases, IA64 is only supported on clients.
Supported Kernels Lustre Version
Kernel / Version 2.0.0 1.8.5 1.8.4 1.8.3 1.8.2 1.8.1.1 1.8.1 1.8.0.1 1.8.0
OEL 5 (i686 and x86_64 only)
2.6.18-194.17.1.0.1.el5 X
2.6.18-194.3.1.0.1.el5 X
2.6.18-164.11.1.0.1.el5 S, PC X
2.6.18-164.6.1.0.1.el5 X
RHEL 5
2.6.18-194.17.1.el5 X
2.6.18-194.3.1.el5 X
2.6.18-164.11.1.el5 S, PC X
2.6.18-164.6.1.el5 X
2.6.18-128.7.1.el5 X
2.6.18-128.1.14.el5 X
2.6.18-128.1.6.el5 X
2.6.18-92.1.17.el5 X
SLES 11 (i686 and x86_64 only)
2.6.32.19-0.2.1 X
2.6.27.39-0.3.1 X X X
2.6.27.29-0.1 X
2.6.27.23-0.1 X
2.6.27.19-5 PC
SLES 10
2.6.16.60-0.69.1 X
2.6.16.60-0.42.8 PC X X X
2.6.16.60-0.42.4 X
2.6.16.60-0.39.3 X
2.6.16.60-0.37 X
2.6.16.60-0.31 X
Fedora 11
2.6.29.4-167.fc11 PC
vanilla (kernel.org)
2.6.22.14 X X
Client support for unpatched kernels
2.6.16 - 2.6.32 vanilla (kernel.org) X
2.6.16 - 2.6.30 vanilla (kernel.org) X X X X
2.6.16 - 2.6.27 vanilla (kernel.org) X X
2.6.16 - 2.6.22 vanilla (kernel.org) X X
Supported e2fsprogs Lustre Version
Version 2.0.0 1.8.5 1.8.4 1.8.3 1.8.2 1.8.1.1 1.8.1 1.8.0.1 1.8.0
1.41.10-sun2 X X X X
1.41.6-sun1 X X X
1.40.11-sun1 X X
Supported Networks Lustre Version
Network / Version 2.0.0 1.8.5 1.8.4 1.8.3 1.8.2 1.8.1.1 1.8.1 1.8.0.1 1.8.0
socklnd
Any kernel supported by Lustre X X X X X X X X X
qswlnd
Qsnet kernel modules 5.20 and later X X X X X X X X X
openiblnd
IbGold 1.8.2 X X X X X X X X X
o2iblnd
OFED 1.3, 1.4.1, 1.4.2, 1.5.1, 1.5.2 X
OFED 1.3, 1.4.1, 1.4.2, 1.5.1 X
OFED 1.1, 1.2.0, 1.2.5, 1.3, 1.4.1, 1.4.2 X X X
OFED 1.1, 1.2.0, 1.2.5, 1.3, 1.4.1 X X X
OFED 1.1, 1.2.0, 1.2.5, 1.3.1 X
viblnd
Voltaire ibhost 3.4.5 and later X X X X X X X X X
ciblnd
Topspin 3.2.0 X X X X X X X X X
iiblnd
Infiniserv 3.3 + PathBits patch X X X X X X X X X
gmlnd
GM 2.1.22 and later X X X X X X X X X
mxlnd
MX 1.2.10 or later X X X X X
MX 1.2.1 or later X X X X
ptllnd
Portals 3.3/UNICOS/lc 1.5.x, 2.0.x X X X X X X X X X

Back to Top